# ltablib.c File Reference

`#include <stddef.h>`
`#include "lua.h"`
`#include "lauxlib.h"`
`#include "lualib.h"`

## Defines
#define | ltablib_c
#define | LUA_LIB
#define | aux_getn(L, n) (luaL_checktype(L, n, LUA_TTABLE), luaL_getn(L, n))
## Functions
static int | foreachi (lua_State *L)
static int | foreach (lua_State *L)
static int | maxn (lua_State *L)
static int | getn (lua_State *L)
static int | setn (lua_State *L)
static int | tinsert (lua_State *L)
static int | tremove (lua_State *L)
static void | addfield (lua_State *L, luaL_Buffer *b, int i)
static int | tconcat (lua_State *L)
static void | set2 (lua_State *L, int i, int j)
static int | sort_comp (lua_State *L, int a, int b)
static void | auxsort (lua_State *L, int l, int u)
static int | sort (lua_State *L)
LUALIB_API int | luaopen_table (lua_State *L)
## Variables
static const luaL_Reg | tab_funcs []

## Define Documentation

#define aux_getn | ( | L,
|  | n |  | ) | (luaL_checktype(L, n, LUA_TTABLE), luaL_getn(L, n))

#define ltablib_c

#define LUA_LIB

## Function Documentation

static void addfield | ( | lua_State * | L,
|  | luaL_Buffer * | b,
|  | int | i |
| ) |  |  | `[static]`

static void auxsort | ( | lua_State * | L,
|  | int | l,
|  | int | u |
| ) |  |  | `[static]`

static int foreach | ( | lua_State * | L | ) | `[static]`

static int foreachi | ( | lua_State * | L | ) | `[static]`

static int getn | ( | lua_State * | L | ) | `[static]`

LUALIB_API int luaopen_table | ( | lua_State * | L | ) |

static int maxn | ( | lua_State * | L | ) | `[static]`

static void set2 | ( | lua_State * | L,
|  | int | i,
|  | int | j |
| ) |  |  | `[static]`

static int setn | ( | lua_State * | L | ) | `[static]`

static int sort | ( | lua_State * | L | ) | `[static]`

static int sort_comp | ( | lua_State * | L,
|  | int | a,
|  | int | b |
| ) |  |  | `[static]`

static int tconcat | ( | lua_State * | L | ) | `[static]`

static int tinsert | ( | lua_State * | L | ) | `[static]`

static int tremove | ( | lua_State * | L | ) | `[static]`

## Variable Documentation

const luaL_Reg tab_funcs[]`[static]`

Initial value:

     {
      {"concat", tconcat},
      {"foreach", foreach},
      {"foreachi", foreachi},
      {"getn", getn},
      {"maxn", maxn},
      {"insert", tinsert},
      {"remove", tremove},
      {"setn", setn},
      {"sort", sort},
      {NULL, NULL}
    }